function Dfs72000_EntradaDevolucoesOperadorLogistico_Service (General){
      
    this.buildFilter = function(fieldsName, currentRow) { 
        let filter = [];
        fieldsName.forEach((fieldName) => {
            filter.push({
                "name": "P_".concat(fieldName),
                "operator": "=",
                "value": (currentRow[fieldName]) ? currentRow[fieldName] : 'T'
            }); 
        });
        return filter;
    };
    
    this.getParamGeral = function() {
        return General.callRestEngine("opl#/crud/paramgeral", "FilterData", []);
    };
    
    this.getDtProcessa = function(){
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": "FILIAL_LOGADA"
            }
        ];
        return General.callRestEngine("opl#/crud/paramestoque_processamento", "FilterData", filter);
    };
    
    this.getFilial = function(){
        // var filter = [
        //     {
        //         "name": "CDFILIAL",
        //         "operator": "=",
        //         "value": "0008"
        //     }
        // ];
        return General.callRestEngine("opl#/crud/filial", "FilterData", []);
    };
    
    
    this.dataAtualFormatada = function(){
        var data = new Date();
        var dia = data.getDate() + 1;
        if (dia.toString().length == 1)
          dia = "0"+dia;
        var mes = data.getMonth()+1;
        if (mes.toString().length == 1)
          mes = "0"+mes;
        var ano = data.getFullYear();  
        return dia+"/"+mes+"/"+ano;
    };
}
Configuration(function (ContextRegister){
    ContextRegister.register('Dfs72000_EntradaDevolucoesOperadorLogistico_Service', Dfs72000_EntradaDevolucoesOperadorLogistico_Service);
});
